---
apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: backend
  namespace: bim
spec:
  values:
    services:
      backend:
        image:
          name:
            _default: cr.yandex/crp3ccidau046kdj8g9q/bim-backend-v2:1d961a7b125ae0e69bd5717658d927091d8c05cc

        envs:
          - name: LAST_MASTER_BIM
            value:
              _default: "100000"

          - name: LAST_SLAVE_1_BIM
            value:
              _default: "94015"

          - name: LAST_MASTER_BIM_V3
            value:
              _default: "100000"

          - name: LAST_SLAVE_1_BIM_V3
            value:
              _default: "0"

          - name: DB_CERT_PATH_3
            value:
              _default: "/root/yandex_pg.pem"

          - name: POSTGRES_ADDRESS_3
            value:
              _default: "postgres-service"

          - name: POSTGRES_PORT_3
            value:
              _default: "5432"

          - name: POSTGRES_DB_3
            value:
              _default: "bimapidb"

          - name: DB_CERT_PATH_2
            value:
              _default: "/root/yandex_pg.pem"

          - name: POSTGRES_ADDRESS_2
            value:
              _default: "postgres-service"

          - name: POSTGRES_PORT_2
            value:
              _default: "5432"

          - name: POSTGRES_DB_2
            value:
              _default: "bimapidb"

          - name: POSTGRES_ADDRESS
            value:
              _default: "postgres-service"

          - name: POSTGRES_PORT
            value:
              _default: "5432"

          - name: POSTGRES_DB
            value:
              _default: "bimapidb"

          - name: POSTGRES_POOL_SIZE
            value:
              _default: "30"

          - name: API_ADDRESS
            value:
              _default: "0.0.0.0:8000"

          - name: DJANGO_HOST
            value:
              _default: "http://backend.django.svc.cluster.local:8000"

          - name: ENABLE_SQL_QUERY
            value:
              _default: "0"

          - name: ENABLE_SSL
            value:
              _default: "0"

          - name: DB_CERT_PATH_4
            value:
              _default: "/root/yandex_pg.pem"
